/*
 * Copyright (c) 2021 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "aul_mock.h"

#include "mock_hook.h"
#include "test_fixture.h"

extern "C" int aul_app_get_appid_bypid(int arg1, char* arg2, int arg3) {
  return MOCK_HOOK_P3(AulMock, aul_app_get_appid_bypid, arg1, arg2, arg3);
}

extern "C" int aul_app_get_pkgid_bypid_for_uid(int arg1, char* arg2, int arg3,
    uid_t arg4) {
  return MOCK_HOOK_P4(AulMock, aul_app_get_pkgid_bypid_for_uid, arg1, arg2,
      arg3, arg4);
}
